mime-mail-ses-0.3.2.2: Send mime-mail messages via Amazon SES

Safe Haskell | None
Language | Haskell98

Network.Mail.Mime.SES

Synopsis

- sendMailSES :: MonadIO m => Manager -> SES -> ByteString -> m ()
- renderSendMailSES :: MonadIO m => Manager -> SES -> Mail -> m ()
- data SES = SES {
  - sesFrom :: ByteString
  - sesTo :: [ByteString]
  - sesAccessKey :: ByteString
  - sesSecretKey :: ByteString
  - sesRegion :: Text
  }
- usEast1 :: Text
- usWest2 :: Text
- euWest1 :: Text
- data SESException = SESException {
  - seStatus :: !Status
  - seCode :: !Text
  - seMessage :: !Text
  - seRequestId :: !Text
  }

# Documentation

sendMailSES :: MonadIO m => Manager -> SES -> ByteString -> m () Source

renderSendMailSES :: MonadIO m => Manager -> SES -> Mail -> m () Source

data SES Source

Constructors

SES |

Fields

sesFrom :: ByteString
sesTo :: [ByteString]
sesAccessKey :: ByteString
sesSecretKey :: ByteString
sesRegion :: Text

Instances

Show SES Source |

usEast1 :: Text Source

usWest2 :: Text Source

euWest1 :: Text Source

data SESException Source

Exposed since: 0.3.2

Constructors

SESException |

Fields

seStatus :: !Status
seCode :: !Text
seMessage :: !Text
seRequestId :: !Text

Instances

Show SESException Source |
Exception SESException Source |